class PProductFeature < ApplicationRecord
  
  belongs_to :p_product_feature_cat
  belongs_to :p_product_ref
  
  validates :p_product_feature_cat_id, :presence => true
  
  
  def ca_name
    self.p_product_feature_cat.name if self.p_product_feature_cat
  end
  
  
  QI_DYNAMICS = %w(name)

  eval(QI_DYNAMICS_CORE)
  
end
